<?php
/*
Plugin Name: Adsense Made Easy
Plugin URI: http://createwebsiteforADE.com
Description: Creates a widget that allows you to add Adsense to any widgetized sidebar of your theme
Version: 0.5
Author: Cody J. Tooker
*/

/*  Copyright 2011  Cody Tooker  (email : Cody.Tooker57@hotmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/



function display_adsense_made_easy($publisher, $size, $type, $channel, $color_border, $color_bg, $color_link, $color_text, $color_url, $corners)
{
	//seperate the w and h from size where size is 111x222
	$width = substr($size, 0, 3);
	$height = substr($size, 4, 3);
	
	$script_adsense = "";
	//link Unit
	if ($height == 15) {
		$ad_format_suf = '_0ads_al';
		
		$script_adsense = '<script type="text/javascript">';
		$script_adsense .= '<!--
		google_ad_client = "'.$publisher.'";
		google_ad_width = '.$width.';
		google_ad_height = '.$height.';
		google_ad_format = "'.$size . $ad_format_suf.'";
		google_ad_channel ="'.$channel.'";
		google_color_border = "'.$color_border.'";
		google_color_link = "'.$color_bg.'";
		google_color_bg = "'.$color_link.'";
		google_color_text = "'.$color_text.'";
		google_color_url = "'.$color_url.'";
		google_ui_features = "'.$corners.'";
		//--></script>
		<script type="text/javascript"
		src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
		</script>';	
		//AD Unit
	} else {
		$ad_format_suf = '_as';
		
		$script_adsense = '<script type="text/javascript">';
		$script_adsense .= '<!--
		google_ad_client = "'.$publisher.'";
		google_ad_width = '.$width.';
		google_ad_height = '.$height.';
		google_ad_format = "'.$size . $ad_format_suf.'";
		google_ad_type = "'.$type.'";
		google_ad_channel ="'.$channel.'";
		google_color_border = "'.$color_border.'";
		google_color_link = "'.$color_bg.'";
		google_color_bg = "'.$color_link.'";
		google_color_text = "'.$color_text.'";
		google_color_url = "'.$color_url.'";
		google_ui_features = "'.$corners.'";
		//--></script>
		<script type="text/javascript"
		src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
		</script>';	
	}

	return $script_adsense;
}

class cjt_adsense_made_easy extends WP_Widget {

	/*contstructor initializes the widget*/
	function cjt_adsense_made_easy() 
	{
		$widget_options = array(
			'classname'   => 'cjt_adsense_made_easy',
			'description' => __('Simple and easy Google Adsense Widget')
		);
		
		// Call the parent class WP_Widget
		parent::WP_Widget('cjt_adsense_made_easy', 'Adsense Made Easy', $widget_options);			
	}

	/*Displays info in the sidebar*/
	function widget($args, $instance) 
	{
		extract( $args, EXTR_SKIP );
		
		/*if not saved in widget admin panel use DEFAULTS*/
		$publisher = ( $instance['publisher'] ) ? $instance['publisher'] : '';
		$size = ( $instance['size'] ) ? $instance['size'] : '300x250';
		$type = ( $instance['type'] ) ? $instance['type'] : 'text';
		$channel = ( $instance['channel'] ) ? $instance['channel'] : '';
		$color_border = ( $instance['color_border'] ) ? $instance['color_border'] : '000000';
		$color_bg = ( $instance['color_bg'] ) ? $instance['color_bg'] : '0000FF';
		$color_link = ( $instance['color_link'] ) ? $instance['color_link'] : 'FFFFFF';
		$color_text = ( $instance['color_text'] ) ? $instance['color_text'] : '000000';
		$color_url = ( $instance['color_url'] ) ? $instance['color_url'] : '008000';
		$corners = ( $instance['corners'] ) ? $instance['corners'] : 'rc:10';

		//wp function that add html code for plugin/theme compatibility
 		echo $before_widget; 
 		echo $before_title . $after_title; 
		//show on website
		echo display_adsense_made_easy($publisher, $size, $type, $channel, $color_border, $color_bg, $color_link, $color_text, $color_url, $corners);
		//wp function
 		echo $after_widget; 
	}

	/*Save new information*/
	function update($new_instance, $old_instance) 
	{
		$instance = $old_instance;

		$instance['publisher'] = strip_tags( $new_instance['publisher'] );
		$instance['size'] = strip_tags( $new_instance['size'] );
		$instance['type'] = strip_tags( $new_instance['type'] );
		$instance['channel'] = strip_tags( $new_instance['channel'] );
		$instance['color_border'] = strip_tags( $new_instance['color_border'] );
		$instance['color_bg'] = strip_tags( $new_instance['color_bg'] );
		$instance['color_link'] = strip_tags( $new_instance['color_link'] );
		$instance['color_text'] = strip_tags( $new_instance['color_text'] );
		$instance['color_url'] = strip_tags( $new_instance['color_url'] );
		$instance['corners'] = strip_tags( $new_instance['corners'] );
		
		return $instance;
	}

	/*Displays widget in admin widget section*/
	function form($instance)
	{
		//create form defaults
		$defaults = array(
			'publisher' => '',
			'size' => '300x250',
			'type' => 'text',
			'channel' => '',
			'color_border' => '000000',
			'color_bg' => '0000FF',
			'color_link' => 'FFFFFF',
			'color_text' => '000000',
			'color_url' => '008000',
			'corners' => 'rc:10'
		);

		$instance = wp_parse_args( (array) $instance, $defaults );
		
		$publisher = $instance['publisher'];
		$size = $instance['size'];
		$type = $instance['type'];
		$channel = $instance['channel'];
		$color_border = $instance['color_border'];
		$color_bg = $instance['color_bg'];
		$color_link = $instance['color_link'];
		$color_text = $instance['color_text'];
		$color_url = $instance['color_url'];
		$corners = $instance['corners'];

		//FORM LAYOUT
		include ('cjt_widget_form.php');

	}/*End of form function*/

}/*Ends WP_Widget Class*/

/*register widget */
function cjt_adsense_made_easy_init() 
{
	register_widget('cjt_adsense_made_easy');
}

/*adds widget to panel*/
add_action('widgets_init', 'cjt_adsense_made_easy_init');

?>